This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 986575 - installer fails to apply lower bound to resize requests in custom spoke
installer fails to apply lower bound to resize requests in custom spoke
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:d76ba3d76d15e4347e173ef4cdd...
:
Depends On:
Blocks: F20BetaBlocker 1023190
  Show dependency treegraph
 
Reported: 2013-07-20 16:12 EDT by Steve Tyler
Modified: 2013-11-04 22:38 EST (History)
10 users (show)

See Also:
Fixed In Version: anaconda-20.25.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023190 (view as bug list)
Environment:
Last Closed: 2013-11-04 22:38:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (513.54 KB, text/plain)
2013-07-20 16:12 EDT, Steve Tyler
no flags Details
File: anaconda.log (17.63 KB, text/plain)
2013-07-20 16:12 EDT, Steve Tyler
no flags Details
File: environ (441 bytes, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: lsblk_output (1.41 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: nmcli_dev_list (3.20 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: program.log (26.25 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: storage.log (73.32 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: syslog (71.46 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details
File: packaging.log (174.38 KB, text/plain)
2013-07-20 16:13 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2013-07-20 16:12:48 EDT
Description of problem:
Attempt to set size of existing root logical volume to 10 in Custom Partitioning. Specify "/home" as mount point.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 207, in _setTargetSize
    raise ValueError("invalid target size request")
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 589, in __init__
    self.device.format.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1211, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1399, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2756, in on_apply_clicked
    self._save_right_side(self._current_selector)
ValueError: invalid target size request

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19
Comment 1 Steve Tyler 2013-07-20 16:12:54 EDT
Created attachment 776237 [details]
File: anaconda-tb
Comment 2 Steve Tyler 2013-07-20 16:12:58 EDT
Created attachment 776238 [details]
File: anaconda.log
Comment 3 Steve Tyler 2013-07-20 16:13:01 EDT
Created attachment 776239 [details]
File: environ
Comment 4 Steve Tyler 2013-07-20 16:13:04 EDT
Created attachment 776240 [details]
File: lsblk_output
Comment 5 Steve Tyler 2013-07-20 16:13:07 EDT
Created attachment 776241 [details]
File: nmcli_dev_list
Comment 6 Steve Tyler 2013-07-20 16:13:11 EDT
Created attachment 776242 [details]
File: os_info
Comment 7 Steve Tyler 2013-07-20 16:13:14 EDT
Created attachment 776243 [details]
File: program.log
Comment 8 Steve Tyler 2013-07-20 16:13:17 EDT
Created attachment 776244 [details]
File: storage.log
Comment 9 Steve Tyler 2013-07-20 16:13:21 EDT
Created attachment 776245 [details]
File: syslog
Comment 10 Steve Tyler 2013-07-20 16:13:24 EDT
Created attachment 776246 [details]
File: ifcfg.log
Comment 11 Steve Tyler 2013-07-20 16:13:27 EDT
Created attachment 776247 [details]
File: packaging.log
Comment 12 David Lehman 2013-07-22 18:33:04 EDT
Apparently when we switched from a spinner to an entry we lost our ability to ensure that the new size is greater than the minimum.
Comment 13 David Lehman 2013-09-23 11:06:27 EDT
Violates "must reject invalid operation without crashing" criteria.
Comment 14 Mike Ruckman 2013-09-25 13:03:30 EDT
Discussed in 2013-09-25 Blocker Review Meeting [1]. Acknowledged as an AcceptedBlocker - Violates the following f20 beta criterion when setting partition sizes smaller than usable for installation: "When using the custom partitioning flow, the installer must be able to ... Reject or disallow invalid disk and volume configurations without crashing" [2].

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-09-25/
[2] https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Guided_partitioning
Comment 15 Mike Ruckman 2013-10-09 17:20:10 EDT
Discussed this in 2013-10-09 Blocker Review Meeting [1]. No movement yet, will revisit next meeting.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-09/
Comment 16 Fedora Update System 2013-10-25 21:10:29 EDT
anaconda-20.25.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.4-1.fc20
Comment 17 Fedora Update System 2013-10-26 14:49:08 EDT
Package anaconda-20.25.4-1.fc20, pykickstart-1.99.44-1.fc20, python-blivet-0.23.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.4-1.fc20 pykickstart-1.99.44-1.fc20 python-blivet-0.23.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20033/pykickstart-1.99.44-1.fc20,python-blivet-0.23.2-1.fc20,anaconda-20.25.4-1.fc20
then log in and leave karma (feedback).
Comment 18 Jan Sedlák 2013-10-30 05:53:16 EDT
Tested with F20 Beta TC6 and it works correctly.
Comment 19 Fedora Update System 2013-11-04 22:38:42 EST
anaconda-20.25.4-1.fc20, pykickstart-1.99.44-1.fc20, python-blivet-0.23.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.